%define section		free
%define grname		excalibur
%define usname		fortress-container-api

Name:		%{grname}-%{usname}
Version:	1.2
Release:	1jpp
Epoch:		0
Summary:	Excalibur Fortress Container API
License:	Apache Software License 2.0
Url:		http://excalibur.apache.org/
Group:		Development/Libraries/Application Frameworks
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	http://www.apache.org/dist/excalibur/avalon-fortress/source/excalibur-fortress-container-api-1.2-src.tar.gz
Source1:        pom-maven2jpp-depcat.xsl
Source2:        pom-maven2jpp-newdepmap.xsl
Source3:        pom-maven2jpp-mapdeps.xsl
Source4:        excalibur-fortress-container-api-1.2-jpp-depmap.xml
Source5:        excalibur-fortress-project-common.xml
Source6:        excalibur-buildsystem.tar.gz
Patch0:         excalibur-fortress-container-api-1.2-project_xml.patch
BuildRequires:	maven
BuildRequires:	junit
BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:	ant >= 0:1.6
BuildRequires:	saxon, saxon-scripts
BuildRequires:	excalibur-avalon-framework-api
BuildRequires:	excalibur-avalon-framework-impl
BuildRequires:	d-haven-event
BuildRequires:	d-haven-mpool

Requires:	excalibur-avalon-framework-api
Requires:	excalibur-avalon-framework-impl
Requires:	d-haven-event
Requires:	d-haven-mpool
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Fortress contains a framework to help you create 
your own avalon containers. It boasts asynchronous 
management of your component instances, high scalability, 
easier maintenance of your code, and easy embedding into 
various environments like servlet engines.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%package manual
Summary:        Documents for %{name}
Group:          Development/Documentation

%description manual
%{summary}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}-%{version}
# remove all binary libs
#find . -name "*.jar" -exec rm -f {} \;
for j in $(find . -name "*.jar"); do
	mv $j $j.no
done
cp %{SOURCE5} project-common.xml
gzip -dc %{SOURCE6} | tar xf -

%patch0 -b .sav

%build
export DEPCAT=$(pwd)/excalibur-fortress-container-api-1.2-depcat.new.xml
echo '<?xml version="1.0" standalone="yes"?>' > $DEPCAT
echo '<depset>' >> $DEPCAT
for p in $(find . -name project.xml); do
    pushd $(dirname $p)
    /usr/bin/saxon project.xml %{SOURCE1} >> $DEPCAT
    popd
done
echo >> $DEPCAT
echo '</depset>' >> $DEPCAT
/usr/bin/saxon $DEPCAT %{SOURCE2} > excalibur-fortress-container-api-1.2-depmap.new.xml
for p in $(find . -name project.xml); do
    pushd $(dirname $p)
    cp project.xml project.xml.orig
    /usr/bin/saxon -o project.xml project.xml.orig %{SOURCE3} map=%{SOURCE4}
    popd
done

for p in $(find . -name project.properties); do
    echo >> $p
    echo maven.repo.remote=file:/usr/share/maven-1.0/repository >> $p
    echo maven.home.local=$(pwd)/.maven >> $p
done

rm -rf .maven/repository/maven/jars
mkdir -p .maven/repository/maven/jars
build-jar-repository .maven/repository/maven/jars maven-jelly-tags

rm -rf .maven/repository/JPP/jars
mkdir -p .maven/repository/JPP/jars
build-jar-repository -s -p .maven/repository/JPP/jars \
excalibur/avalon-framework-api \
excalibur/avalon-framework-impl \
d-haven-event \
d-haven-mpool \




export MAVEN_HOME_LOCAL=$(pwd)/.maven

maven \
	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
	jar javadoc


%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{grname}
install -m 644 \
target/%{name}-%{version}.jar \
$RPM_BUILD_ROOT%{_javadir}/%{grname}/%{name}-%{version}.jar

# create unversioned symlinks
(cd $RPM_BUILD_ROOT%{_javadir}/%{grname} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp LICENSE.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}


%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi


%files 
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}/LICENSE.txt
%{_javadir}/%{grname}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}

%changelog
* Wed Sep 07 2005 Ralph Apel <r.apel at r-apel.de> 0:1.2-1jpp
- First build from this codebase
